MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032154Open CASCADE[OCCT] OCCT:Testspublic2021-02-22 09:582021-03-02 21:34
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032154: Tests - include vglinfo into Tests Summary
DescriptionIt is proposed adding vglinfo output to Tests Summary.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberv3d/glsl/glinfo
Attached Files

- Relationships
related to 0030638closedapn Visualization, TKOpenGl - load OpenGL 4.5 functions within OpenGl_Context 
related to 0032192verifiedbugmaster Visualization, TKOpenGl - load OpenGL 4.6 functions within OpenGl_Context 

-  Notes
(0099094)
git (administrator)
2021-02-22 18:09

Branch CR32154 has been created by kgv.

SHA-1: 2d1fc039234a3305c755a346b5bdf90321a17be0


No new revisions were added by this update.
(0099096)
kgv (developer)
2021-02-22 18:10

Patch is ready for review
- OCCT: branch CR32154.

(0099106)
osa (developer)
2021-02-24 12:16

The patch was reviewed
(0099198)
bugmaster (administrator)
2021-02-27 11:49

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099214)
git (administrator)
2021-02-27 12:26

Branch CR32154 has been deleted by inv.

SHA-1: 2d1fc039234a3305c755a346b5bdf90321a17be0

- Related Changesets
occt: master 72ed0644
Timestamp: 2021-02-22 06:58:50
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032154: Tests - include vglinfo into Tests Summary

Command testgrid now includes vglinfo into summary.
Command vinit has been extended by -virtual option creating an offscreen window.
Command vglinfo now splits long values into multiple lines.
Added test case v3d/glsl/glinfo dumping OpenGL context creation info.

OpenGl_Window - fixed initialization of OpenGL 4.6 Core Profile (was limited to 4.5).
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/v3d/glsl/glinfo Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-22 09:58 kgv New Issue
2021-02-22 09:58 kgv Assigned To => kgv
2021-02-22 18:09 git Note Added: 0099094
2021-02-22 18:10 kgv Note Added: 0099096
2021-02-22 18:10 kgv Assigned To kgv => osa
2021-02-22 18:10 kgv Status new => resolved
2021-02-24 12:16 osa Note Added: 0099106
2021-02-24 12:16 osa Assigned To osa => bugmaster
2021-02-24 12:16 osa Status resolved => reviewed
2021-02-27 11:49 bugmaster Note Added: 0099198
2021-02-27 11:49 bugmaster Status reviewed => tested
2021-02-27 11:53 bugmaster Test case number => v3d/glsl/glinfo
2021-02-27 11:59 bugmaster Changeset attached => occt master 72ed0644
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099214
2021-03-02 20:52 kgv Relationship added related to 0030638
2021-03-02 21:34 kgv Relationship added related to 0032192


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker